Subject: Re: bug#12541: Prefer plain 'static' to 'static inline'.

From: Paul Eggert <[email-masked]>
Date: Tue, 02 Oct 2012 00:00:54 -0700

On 10/01/2012 10:14 AM, Eli Zaretskii wrote:
> Perhaps that's because STRING_CHAR could call a function?

Yes, I suspect that's it.  When there's enough register pressure it
can sometimes make sense to put a call inside a function rather than
inline it.

> Nevertheless, I'm okay with removing the 'inline' qualifier from
> bidi.c.  If the performance hit is significant, I'm sure we will hear
> from users shortly.  Otherwise, I'll try to measure the performance
> with and without 'inline' when I have time, and we can take it from
> there.

Thanks, I did that as trunk bzr 110345 and am marking this as done.

For what it's worth, the amount of inlining often depends greatly on
exactly which compiler flags are used -- with GCC, for example, it can
matter quite a bit whether one uses -O1, -O2, or -O3.